public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/GitPython/
Date: Sat,  2 Sep 2023 14:11:02 +0000 (UTC)	[thread overview]
Message-ID: <1693663849.4f20131baabed2a718faafc0b38a3449e8caeb85.mgorny@gentoo> (raw)

commit:     4f20131baabed2a718faafc0b38a3449e8caeb85
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Sep  2 13:48:24 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Sep  2 14:10:49 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4f20131b

dev-python/GitPython: Bump to 3.1.34

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/GitPython/GitPython-3.1.34.ebuild | 84 ++++++++++++++++++++++++++++
 dev-python/GitPython/Manifest                |  2 +
 2 files changed, 86 insertions(+)

diff --git a/dev-python/GitPython/GitPython-3.1.34.ebuild b/dev-python/GitPython/GitPython-3.1.34.ebuild
new file mode 100644
index 000000000000..cc252e9af748
--- /dev/null
+++ b/dev-python/GitPython/GitPython-3.1.34.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+TEST_P=GitPython-${PV}
+GITDB_P=gitdb-4.0.10
+SMMAP_P=smmap-5.0.0_p1
+
+DESCRIPTION="Library used to interact with Git repositories"
+HOMEPAGE="
+	https://github.com/gitpython-developers/GitPython/
+	https://pypi.org/project/GitPython/
+"
+SRC_URI+="
+	test? (
+		https://dev.gentoo.org/~mgorny/dist/${TEST_P}.gitbundle
+		https://dev.gentoo.org/~mgorny/dist/${GITDB_P}.gitbundle
+		https://dev.gentoo.org/~mgorny/dist/${SMMAP_P}.gitbundle
+	)
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+	dev-vcs/git
+	>=dev-python/gitdb-4.0.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		>=dev-python/ddt-1.1.1[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+	git config --global user.email "travis@ci.com" || die
+	git config --global user.name "Travis Runner" || die
+
+	git clone "${DISTDIR}/${TEST_P}.gitbundle" "${T}"/test || die
+	git clone "${DISTDIR}/${GITDB_P}.gitbundle" \
+		"${T}"/test/git/ext/gitdb || die
+	git clone "${DISTDIR}/${SMMAP_P}.gitbundle" \
+		"${T}"/test/git/ext/gitdb/gitdb/ext/smmap || die
+
+	cd "${T}"/test || die
+	git rev-parse HEAD > .git/refs/remotes/origin/master || die
+	TRAVIS=1 ./init-tests-after-clone.sh || die
+	cat test/fixtures/.gitconfig >> ~/.gitconfig || die
+
+	distutils-r1_src_test
+}
+
+python_test() {
+	local EPYTEST_DESELECT=(
+		# performance tests are unreliable by design
+		test/performance
+		# unimpoortant and problematic
+		test/test_installation.py
+		# Internet
+		test/test_repo.py::TestRepo::test_leaking_password_in_clone_logs
+		test/test_quick_doc.py::QuickDoc::test_cloned_repo_object
+		# requires which(1)
+		# https://github.com/gitpython-developers/GitPython/pull/1525
+		test/test_git.py::TestGit::test_refresh
+		# TODO
+		test/test_submodule.py::TestSubmodule::test_base_rw
+		test/test_submodule.py::TestSubmodule::test_git_submodules_and_add_sm_with_new_commit
+		test/test_submodule.py::TestSubmodule::test_list_only_valid_submodules
+		test/test_submodule.py::TestSubmodule::test_root_module
+	)
+
+	epytest -o addopts= test
+}

diff --git a/dev-python/GitPython/Manifest b/dev-python/GitPython/Manifest
index c8e3a89f3482..51a9abc2b446 100644
--- a/dev-python/GitPython/Manifest
+++ b/dev-python/GitPython/Manifest
@@ -2,5 +2,7 @@ DIST GitPython-3.1.32.gitbundle 9676140 BLAKE2B e975f7949f3f3e25f66008b1f2be80db
 DIST GitPython-3.1.32.tar.gz 196978 BLAKE2B 914b0ceebe89b00e5d65c963055c1d64c3125699a4df80e04c5a0ca59181faac5357880767224d3b3cad9b884668299510ea055ae0c228648c1b1c2e5ec048d0 SHA512 b1a4ac7d98b9543454525819357afef4c45dde842a8a8689f5f059312cd45ee10a7a5b22e2417a0a7120b78c0a40addc4f9189789d70ca34d2bc21962fe44fb7
 DIST GitPython-3.1.33.gitbundle 9635126 BLAKE2B d851f8766f4d145b54de7b2593d84c9002d4a6ae6b55c1b8533f8945b668966bc4a3a94f4467adc4390326e26b78fd88d141931e11251ebcbaa6120081bfba7b SHA512 cc4eb17f1b32a7d5f592bd4a84936e0fe9e12ccfe555b9c9ee57a48678f62181b4a0d6c003222873f5d53af932bc8099568f2792d06ee44dd240af0a2dd94df8
 DIST GitPython-3.1.33.tar.gz 198466 BLAKE2B 5e27cc92ba937f730ba746fa565b3a9a5b50ea3d4bec11cd2e484b0cf96db9a8f51f920d0788b6170750e48e2361ab0327017d445652aee4851396e83a57b0b3 SHA512 49001b55530966e90e1f8adeeb5e43d144b813d073deb01ceff0fd709f6a65e791e4971f6db9353da5fc84ba4a6bfe5c409f9229c85c9bd0497dc52e05f03707
+DIST GitPython-3.1.34.gitbundle 9638239 BLAKE2B e9bd820ac329928871a6341c9ed0fc8529bb99866ec9a2b10593113dcf8d859960f49b615de300275f0d16d56621852b659e565278ec591e93e5821514126a46 SHA512 c1a4f61a7632e83bad5f4ee59a1b5d3d3afd67506fe574cecc7cdf685eff1e61030a0eb11b75f7995f7c453b8e97516f03ef5b662ce75b3c8ff7e0ca15247449
+DIST GitPython-3.1.34.tar.gz 198460 BLAKE2B 7045ce1cba39043564a6f89b99d11779327ffd9098178b7e80a32c6cf0ed2200fb2ddd4f16b9e09e190628c63acbc02afd2d42d20fd04c0df5018c3619e06d5e SHA512 d0eee7e04bd542a8cad8312d95ef0cbf60964e4aec71e825003d792f9d6c7e20c9603b793f75a87f0fed223148f21b8fc51c98f47164440f2f243a1b81427b35
 DIST gitdb-4.0.10.gitbundle 1485461 BLAKE2B 5a217c609a402cd7888da1502b25d217812503cd703cda8bce3c7159732c59d7f4bcd52688a5da457f43fde1645a6db79588a6fc8cc8dff5c58e9dcbaef79b9a SHA512 98dba48f75e28eaded791f91c611e07bef73c28a7f8ac58889b05d04f4b3699a85a5be1c829ea3e2f380507a9009f35bc552bb4260564127e2863807f9b4712a
 DIST smmap-5.0.0_p1.gitbundle 324544 BLAKE2B 69098c7644abaec7f32226cad7ff3008e49d94c9f7349d0b815223249c20bfd2b51a50474e51864821f30c98f5982e5c35ce9217145a1e5d11326492c41faecc SHA512 4f36ca2c94ddfeb949c880fb52c3b1905d144dd59b95f2f05c93ed7b694dcb128218a2800ca23b721fbeff9a1920e8c3326675098e2ef0361ff6e90c8c2850ba


             reply	other threads:[~2023-09-02 14:11 UTC|newest]

Thread overview: 124+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-09-02 14:11 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-11  8:21 [gentoo-commits] repo/gentoo:master commit in: dev-python/GitPython/ Petr Vaněk
2024-06-11  8:21 Petr Vaněk
2024-04-20 11:23 Michał Górny
2024-04-20 10:04 Sam James
2024-04-01  3:35 Michał Górny
2024-03-02 11:44 Michał Górny
2024-03-02 11:18 Arthur Zamarin
2024-02-16  5:40 Michał Górny
2024-02-07  4:55 Ionen Wolkens
2024-02-07  4:55 Ionen Wolkens
2024-01-31  9:42 Sam James
2024-01-31  9:42 Sam James
2024-01-29  8:37 Sam James
2024-01-29  8:19 Sam James
2024-01-29  8:19 Sam James
2024-01-29  8:01 Sam James
2024-01-29  7:51 Sam James
2024-01-23 20:15 Arthur Zamarin
2024-01-21  7:58 Viorel Munteanu
2024-01-20 20:00 Michał Górny
2024-01-12  8:17 Arthur Zamarin
2024-01-11 10:32 Sam James
2024-01-11 10:32 Sam James
2024-01-11  9:38 Sam James
2024-01-11  9:38 Sam James
2024-01-11  7:48 WANG Xuerui
2024-01-11  0:00 Jakov Smolić
2024-01-10 21:12 Michał Górny
2023-11-22 11:04 Michał Górny
2023-11-22 11:04 Michał Górny
2023-10-19 19:50 Michał Górny
2023-10-19  4:00 Michał Górny
2023-10-17 18:57 Michał Górny
2023-10-06 15:08 Michał Górny
2023-10-06 14:29 Sam James
2023-09-22 11:34 Michał Górny
2023-09-13 15:47 Michał Górny
2023-09-07 18:14 Michał Górny
2023-09-02  3:22 Michał Górny
2023-08-11 19:12 Michał Górny
2023-08-11 19:08 Arthur Zamarin
2023-07-11  5:52 Michał Górny
2023-06-13 17:19 Sam James
2023-03-20  5:36 Michał Górny
2023-03-19 18:59 Arthur Zamarin
2023-02-17  7:38 Michał Górny
2022-12-31 10:55 Michał Górny
2022-12-31 10:44 Arthur Zamarin
2022-12-31  7:18 Michał Górny
2022-11-30 10:18 WANG Xuerui
2022-05-28 20:43 Jakov Smolić
2022-05-24 13:02 Andrew Ammerlaan
2022-02-20 20:05 Michał Górny
2022-02-20 19:34 Arthur Zamarin
2022-02-20 14:03 Michał Górny
2022-02-13  9:33 Michał Górny
2022-02-13  7:58 Agostino Sarubbo
2022-01-10 20:00 Michał Górny
2022-01-08 13:39 Arthur Zamarin
2022-01-08  9:39 Michał Górny
2022-01-05 17:57 Arthur Zamarin
2022-01-04  3:22 Sam James
2022-01-04  3:22 Sam James
2022-01-03 18:28 Arthur Zamarin
2021-12-31 16:53 Matt Turner
2021-12-03  9:24 Arthur Zamarin
2021-11-30 10:01 Michał Górny
2021-11-27  9:38 James Le Cuirot
2021-11-26 20:25 Arthur Zamarin
2021-11-26 19:49 Arthur Zamarin
2021-11-26 19:07 Arthur Zamarin
2021-11-26 15:33 Arthur Zamarin
2021-11-25 22:37 Sam James
2021-10-20 21:12 Matthew Thode
2021-09-23 15:35 Marek Szuba
2021-09-18  7:00 Michał Górny
2021-09-18  7:00 Michał Górny
2021-09-10  7:14 Michał Górny
2021-09-10  7:14 Michał Górny
2021-08-26  8:24 Michał Górny
2021-08-26  4:41 Agostino Sarubbo
2021-07-28  5:31 Michał Górny
2021-07-23  7:12 Michał Górny
2021-07-13  6:46 Michał Górny
2021-07-13  6:26 Agostino Sarubbo
2021-06-18  4:41 Michał Górny
2021-06-04 18:34 Michał Górny
2021-05-26  8:36 Michał Górny
2021-05-14  8:14 Michał Górny
2021-05-13  8:56 Michał Górny
2021-04-21  7:03 Michał Górny
2021-04-21  6:40 Michał Górny
2021-03-30 19:12 Michał Górny
2021-03-30 17:35 Sam James
2021-03-15  8:52 Michał Górny
2021-03-15  2:26 Sam James
2021-02-28  9:07 Michał Górny
2021-02-25 19:36 Michał Górny
2021-02-25 19:00 Sam James
2021-02-16  8:25 Sergei Trofimovich
2021-02-09 18:48 Michał Górny
2021-01-24  0:07 Sam James
2021-01-06 10:00 Michał Górny
2020-11-24  8:18 Michał Górny
2020-11-24  1:23 Sam James
2020-10-23 20:12 Michał Górny
2020-10-18  6:25 Michał Górny
2020-10-17 23:49 Sam James
2020-09-04  3:30 Michał Górny
2020-08-19  4:08 Sam James
2020-07-14 12:01 Michał Górny
2020-07-12 18:35 Michał Górny
2020-07-08 12:47 Michał Górny
2020-07-08 12:47 Michał Górny
2020-05-31 21:00 Michał Górny
2020-05-11 16:48 Michał Górny
2020-05-11  9:44 Agostino Sarubbo
2020-05-05 20:22 Michał Górny
2020-05-04  9:45 Michał Górny
2020-05-04  6:16 Mart Raudsepp
2020-05-03 10:01 Agostino Sarubbo
2020-04-12  8:42 Michał Górny
2020-03-13  9:56 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1693663849.4f20131baabed2a718faafc0b38a3449e8caeb85.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox